net.sf.jasperreports.engine.util

## Class BreakIteratorSplitCharacter

- java.lang.Object
- - net.sf.jasperreports.engine.util.BreakIteratorSplitCharacter

- All Implemented Interfaces:
    com.lowagie.text.SplitCharacter

      public class BreakIteratorSplitCharacter
      extends java.lang.Object
      implements com.lowagie.text.SplitCharacter

  Implementation of `SplitCharacter` that uses the same logic as AWT to break texts into lines.
  Version:
    $Id: BreakIteratorSplitCharacter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `PdfReportConfiguration.isForceLineBreakPolicy()`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `BreakIteratorSplitCharacter.ArrayCharIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BreakIteratorSplitCharacter()`
    `BreakIteratorSplitCharacter(java.text.BreakIterator breakIter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected char` | `currentChar(int current, char[] cc, com.lowagie.text.pdf.PdfChunk[] ck)`
    `boolean` | `isSplitCharacter(int startIdx, int current, int endIdx, char[] cc, com.lowagie.text.pdf.PdfChunk[] ck)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BreakIteratorSplitCharacter

          public BreakIteratorSplitCharacter()

    - #### BreakIteratorSplitCharacter

          public BreakIteratorSplitCharacter(java.text.BreakIterator breakIter)

  - ### Method Detail

    - #### isSplitCharacter

          public boolean isSplitCharacter(int startIdx,
                                 int current,
                                 int endIdx,
                                 char[] cc,
                                 com.lowagie.text.pdf.PdfChunk[] ck)

      Specified by:
        `isSplitCharacter` in interface `com.lowagie.text.SplitCharacter`

    - #### currentChar

          protected char currentChar(int current,
                         char[] cc,
                         com.lowagie.text.pdf.PdfChunk[] ck)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com